var system = require("../../../system")
const CtlBase = require("../../ctl.base");
class ProductpriceCtl extends CtlBase {
  constructor() {
    super("product", CtlBase.getServiceName(ProductpriceCtl));
    // this.pricestrategyService=system.getObject("service.product.pricestrategySve")
  }
  async updownProduct(p,q,req){
    let updownid=p.curid
    let rtn=await this.service.updownProduct(updownid)
    return system.getResult(rtn)
  }
}
module.exports = ProductpriceCtl;
